Subject: Re: git-compat-util.h:735:13: error: conflicting types for 'inet_ntop'

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Mar 2017 10:11:28 -0700

Jeffrey Walton <[email-masked]> writes:

> Some more 2.12.2 testing on Solaris 11.3 x86_64:
>
> $ make V=1
> gcc -o credential-store.o -c -MF ./.depend/credential-store.o.d -MQ
> credential-store.o -MMD -MP -I/usr/local/include -m64 -m64 -I.
> -D__EXTENSIONS__ -D__sun__ -DUSE_LIBPCRE -I/usr/local/include
> -DHAVE_ALLOCA_H -I/usr/local/include -DUSE_CURL_FOR_IMAP_SEND
> -I/usr/local/include -I/usr/local/include -DNO_D_TYPE_IN_DIRENT
> -DNO_INET_NTOP -DNO_INET_PTON  -DHAVE_PATHS_H -DHAVE_LIBCHARSET_H

Looking at config.mak.uname, nothing in SunOS section seems to set
NO_INET_NTOP or NO_INET_PTON.  Why is your build setting them?